// package hlt.osf.v0;

import hlt.osf.v0.OsfV0Parser;
import hlt.osf.v0.OsfV0Tokenizer;
import hlt.osf.v0.OsfV0SortExpression;
import hlt.osf.base.SortExpression;

public class TestSortExpression
{
  final public static void main (String args[])
    {
      OsfV0Tokenizer tokenizer = new OsfV0Tokenizer();
      OsfV0Parser parser = new OsfV0Parser(tokenizer);

      try
        {
	  parser.setTreeType(parser.FULL_TREE);
	  // parser.parseSortExpression("a & b | c");
	  parser.parseSortExpression("a");
	  parser.currentNode().show();
          SortExpression exp = ((OsfV0SortExpression)parser.currentNode()).expression;
	  System.out.println("exp = "+exp);
        }
      catch (Throwable e)
        {
          e.printStackTrace();
        }
    }
}
